Appearance
Parameters
Query parameters
page integerThe page number to retrieve. The first page is 1. Cannot be less than 1.
Default value:
1pageSize integerThe size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value:
10keywords stringOptional keywords (whitespace separated) to search for.
active enumFilter by the active status.
Enum:
ALLACTIVEINACTIVEDefault value:
ACTIVEResponse
The response contains a set of search hits.
JSON
[
{
"userId": "08ce1500-a817-40e8-8e5a-36d3cef125df",
"emailAddress": "john.doe@viskan.se",
"firstName": "John",
"lastName": "Doe",
"profilePictureURL": "https://profilepicture.connect.visma.com/v1.0/08ce1500-a817-40e8-8e5a-36d3cef125df?client_id=viskan",
"active": true,
"inConnectedTenantsOnly": false,
"blocked": false,
"permissionLevel": "NORMAL"
}
]
| Error code | Description |
|---|---|
invalid-page | The given page is invalid. |
invalid-page-size | The given page size is invalid. |